Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1638751 - [abrt] nautilus: stop_cache_selection_list(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: stop_cache_selection_list(): nautilus killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46a9a4457b337681dc1c7dc06a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 11:39 UTC by François Perriot
Modified: 2019-04-02 21:16 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-10-12 11:39 UTC, François Perriot
no flags Details
File: cgroup (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: core_backtrace (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: cpuinfo (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: dso_list (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: environ (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: exploitable (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: limits (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: maps (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: mountinfo (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: open_fds (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: proc_pid_status (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details
File: var_log_messages (deleted)
2018-10-12 11:40 UTC, François Perriot
no flags Details

Description François Perriot 2018-10-12 11:39:42 UTC
Description of problem:
I was copying files to an usb disk by drag and dropping between 2 tabs within Nautilus.

Version-Release number of selected component:
nautilus-3.30.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=c1628fbed72546a0a3b3aa5219ff0229;i=270b0;b=dc4ccbc208ad4b4da3072a75b185bf22;m=c997063b;t=5780670bc115a;x=35ab836a647c64aa
kernel:         4.18.13-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 stop_cache_selection_list at ../src/nautilus-canvas-dnd.c:375
 #1 nautilus_canvas_container_receive_dropped_icons at ../src/nautilus-canvas-dnd.c:1064
 #2 drag_data_received_callback at ../src/nautilus-canvas-dnd.c:1673
 #3 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5470
 #7 g_signal_emit_by_name at gsignal.c:3487
 #8 gtk_drag_selection_received at gtkdnd.c:1180
 #12 g_signal_emit_by_name at gsignal.c:3487
 #13 gtk_selection_retrieval_report at gtkselection.c:3049
 #14 gtk_selection_convert at gtkselection.c:1161
 #15 gtk_drag_get_data at gtkdnd.c:900

Potential duplicate: bug 1529864

Comment 1 François Perriot 2018-10-12 11:39:55 UTC
Created attachment 1493262 [details]
File: backtrace

Comment 2 François Perriot 2018-10-12 11:40:01 UTC
Created attachment 1493263 [details]
File: cgroup

Comment 3 François Perriot 2018-10-12 11:40:07 UTC
Created attachment 1493264 [details]
File: core_backtrace

Comment 4 François Perriot 2018-10-12 11:40:09 UTC
Created attachment 1493265 [details]
File: cpuinfo

Comment 5 François Perriot 2018-10-12 11:40:13 UTC
Created attachment 1493266 [details]
File: dso_list

Comment 6 François Perriot 2018-10-12 11:40:15 UTC
Created attachment 1493267 [details]
File: environ

Comment 7 François Perriot 2018-10-12 11:40:17 UTC
Created attachment 1493268 [details]
File: exploitable

Comment 8 François Perriot 2018-10-12 11:40:19 UTC
Created attachment 1493269 [details]
File: limits

Comment 9 François Perriot 2018-10-12 11:40:26 UTC
Created attachment 1493270 [details]
File: maps

Comment 10 François Perriot 2018-10-12 11:40:28 UTC
Created attachment 1493271 [details]
File: mountinfo

Comment 11 François Perriot 2018-10-12 11:40:30 UTC
Created attachment 1493272 [details]
File: open_fds

Comment 12 François Perriot 2018-10-12 11:40:32 UTC
Created attachment 1493273 [details]
File: proc_pid_status

Comment 13 François Perriot 2018-10-12 11:40:35 UTC
Created attachment 1493274 [details]
File: var_log_messages

Comment 14 Mohamed Baig 2018-11-05 17:14:59 UTC
Similar problem has been detected:

Happened when trying to move a folder into another folder.

The sidebar "New bookmark" option was visible the whole time

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=ff8abb134ecb4a92b26a4fe502eccb9e;i=756c4;b=3aa3161b6c224143be8d2c70b8a90bdc;m=1234795b4;t=579ed6d5eeb6f;x=5fb374dc54dec809
kernel:         4.18.16-300.fc29.x86_64
package:        nautilus-3.30.3-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Yaroslav Nikitenko 2018-11-10 16:49:37 UTC
Similar problem has been detected:

1. Select files in Nautilus (icon list).
2. Drag them to a folder.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=385496cccf0b45c296eb63cce09e6d50;i=866e;b=e7b5fd3558c8490582187b857375bfdd;m=8c3eaf5c8;t=57a5185c904ce;x=363a3fe6de4383f
kernel:         4.18.16-300.fc29.x86_64
package:        nautilus-3.30.3-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Shecks 2018-11-14 23:16:51 UTC
*** Bug 1649953 has been marked as a duplicate of this bug. ***

Comment 17 Stefano Costa 2018-12-05 23:09:30 UTC
Similar problem has been detected:

1. I had nautilus open
2. from the terminal I disabled the experimental views via gsettings:
    gsettings set org.gnome.nautilus.preferences use-experimental-views false
3. nautilus briefly restarted the open windows and then crashed

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=22303bb7202a4f00b83b4376aa891207;i=558281;b=fbe15c933d79460090c30a53151967b9;m=69b79a3c;t=57c4e599d8a8a;x=1c8b7c33976501b4
kernel:         4.19.4-300.fc29.x86_64
package:        nautilus-3.30.4-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 hebertjulio 2018-12-08 12:31:30 UTC
*** Bug 1657456 has been marked as a duplicate of this bug. ***

Comment 19 contact+rhelbugzilla 2018-12-12 18:06:10 UTC
Similar problem has been detected:

Booted, logged in, got this abrt notice

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=315c3364607a48b2a9be42104b21ba42;i=48dafb;b=68adb0c6c5eb4a229bbb6811e46bee40;m=4d7bf0c2d;t=57cb32c0f0aa3;x=7ee34f9bef1e0090
kernel:         4.19.6-300.fc29.x86_64
package:        nautilus-3.30.4-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 20 Richard Ruhland 2018-12-23 10:47:36 UTC
*** Bug 1661789 has been marked as a duplicate of this bug. ***

Comment 21 Kyriakos Fytrakis 2019-01-28 16:40:09 UTC
*** Bug 1670130 has been marked as a duplicate of this bug. ***

Comment 22 Pablo Veintimilla 2019-01-28 23:13:40 UTC
*** Bug 1670219 has been marked as a duplicate of this bug. ***

Comment 23 gburlats 2019-01-30 15:14:49 UTC
*** Bug 1671021 has been marked as a duplicate of this bug. ***

Comment 24 Richard Savard 2019-02-05 01:52:25 UTC
*** Bug 1672463 has been marked as a duplicate of this bug. ***

Comment 25 Jamison Lofthouse 2019-02-07 15:57:06 UTC
Similar problem has been detected:

While extracting a .tar.bz2 archive and performing other normal actions, (e.g. copying, renaming) Nautilus crashed.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=0cb130c94d6845a0b3923241b7864449;i=1d9ef;b=064b7aefb7694fb0a252c85de48a72e1;m=56db49eb;t=5814fac6484df;x=a02f08d0faa4edf
kernel:         4.20.6-200.fc29.x86_64
package:        nautilus-3.30.5-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Michael D 2019-02-07 20:12:02 UTC
*** Bug 1673709 has been marked as a duplicate of this bug. ***

Comment 27 Casey Evans 2019-02-09 06:31:04 UTC
*** Bug 1674098 has been marked as a duplicate of this bug. ***

Comment 28 Stefan Gies 2019-02-18 14:43:03 UTC
Similar problem has been detected:

Trying to install yabasic-2.81.4-1.x86_64.rpm (source: http://www.yabasic.de/download/yabasic-2.81.4-1.x86_64.rpm)

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=b6140f88b3f347c09b98774f0f7b37fe;i=4815;b=30c9a61eac5a41bea955d1ee07c82d6d;m=36e73510;t=5822c12d4abf6;x=32b4f40678a5c1eb
kernel:         4.20.8-200.fc29.x86_64
package:        nautilus-3.30.5-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 Jared Burck 2019-02-28 06:37:16 UTC
*** Bug 1683924 has been marked as a duplicate of this bug. ***

Comment 30 Samuel 2019-03-04 05:35:32 UTC
*** Bug 1684989 has been marked as a duplicate of this bug. ***

Comment 31 Serge Meeuwsen 2019-03-04 21:28:14 UTC
*** Bug 1685284 has been marked as a duplicate of this bug. ***

Comment 32 martin.lepetit 2019-03-14 20:41:21 UTC
*** Bug 1688990 has been marked as a duplicate of this bug. ***

Comment 33 Rudrajit Basu 2019-03-18 11:34:14 UTC
Similar problem has been detected:

The followig steps are: 

1. I created a folder using nautilus and was arranging my files.

2. It was hung for a while, when I cut and trying to paste a file(txt) from one directory to another using keyboard.

3. Then I tried to open the file using "Text Editor" which was also hung for few seconds.

4. Finally I closed "Text editor" and "Nautilus" normally and opend again to move my file, it worked after which 
     "Problem Reporting" showed me the problem raised by saying "nautilus killed by SIGSEGV" under Application
	crash.


reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=1a23edcf49f542c09def98035c8b52d3;i=147fa;b=0791e27c2fd542b0aa0e04705d4021a5;m=aec9a6fc;t=5845c8f2cd59f;x=4c4aa60d4146a348
kernel:         4.20.15-200.fc29.x86_64
package:        nautilus-3.30.5-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 34 Paulo Falcao 2019-03-21 09:45:01 UTC
*** Bug 1691262 has been marked as a duplicate of this bug. ***

Comment 35 rugk 2019-03-28 16:38:50 UTC
Similar problem has been detected:

navigating in folder with pictures, also possibly caused by a drag- & drop action

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=15a9e5ea69ee4b398d22ff30826e1b89;i=3e56f9;b=fa5a9a19d13943f480a8e85305a9f972;m=3b361f34d;t=58529e5d9611d;x=d5a74b5b07792720
kernel:         5.0.3-200.fc29.x86_64
package:        nautilus-3.30.5-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 36 Jean-Loup Tastet 2019-04-02 12:50:30 UTC
Similar problem has been detected:

Nautilus started to display undefined behaviour after (unsuccessfully) trying to drag and drop a directory into another directory.
I killed it using Ctrl-q and restarted it (twice), and it quickly segfaulted.
I was not doing anything special when the segfault happened.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=e0727d9a8a414c4f8f45be933af8b75a;i=99c62;b=3a3c67876dd34f48b3eaa1cc7a33a93b;m=2e44e2032;t=5858b7e601b7a;x=d7c0a8ac24b750d4
kernel:         5.0.4-200.fc29.x86_64
package:        nautilus-3.30.5-1.fc29
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.